View Issue Details

IDProjectCategoryLast Update
0019250AI War 2[All Projects] Crash/ExceptionNov 11, 2017 1:03 pm
ReporterRabidSanityAssigned Tokeith.lamothe 
Severitymajor 
Status resolvedResolutionfixed 
Product Version0.523 
Fixed in Version0.604 
Summary0019250: Starting in full screen issue
DescriptionWhen I change the settings for the game to be in full screen the game seems to run fine. If I exit out and restart the game it opens looking like the attached screen shot with me not able to click on anything. I checked the ArcenDebugLog.txt and found the error attached as "ErrorStartingInFullScreen". If I manually change the newsettings.dat UseFullscreen="false" I get the error in attached "ErrorAfter" when I restart the game.

This is on Linux and I have dual monitors.
TagsNo tags attached.

Activities

RabidSanity

Oct 7, 2017 5:15 pm

reporter  

ErrorStartingInFullScreen (2,806 bytes)
10/7/2017 3:57:32 PM
ErrorsReportedByEngine:    -----------
NullReferenceException: Object reference not set to an instance of an object
Stack Trace: Arcen.AIW2.External.Input_MasterMenuHandler.Handle (Int32 Int1, Arcen.Universal.InputActionTypeData InputActionType)
Arcen.Universal.ArcenInput.InnerHandleAction (Arcen.Universal.ArcenInputAction action) (at C:/vcprojs/arcengames_aiw_ultra/ArcenUniversal/src/Logic/ArcenInput.cs:158)
Arcen.Universal.ArcenInput.HandleEffectiveRewiredAction (Int32 ID) (at C:/vcprojs/arcengames_aiw_ultra/ArcenUniversal/src/Logic/ArcenInput.cs:147)
Arcen.Universal.ArcenInput.CheckInput () (at C:/vcprojs/arcengames_aiw_ultra/ArcenUniversal/src/Logic/ArcenInput.cs:140)
Arcen.Universal.Engine_Universal.OnUpdate () (at C:/vcprojs/arcengames_aiw_ultra/ArcenUniversal/src/Engine_Universal.cs:778)
ArcenGameController.Update () (at C:/vcprojs/arcengames_aiw_ultra/AIW2Unity/Assets/ArcenCode/ArcenGameController.cs:39)



   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 140
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 109
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 88
   at Arcen.Universal.Engine_Universal.WriteToErrorFile(System.String ErrorFile, System.String ErrorName, System.String ErrorText, Boolean SuppressArcenDebugLog) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\Engine_Universal.cs:line 1099
   at Arcen.Universal.Engine_Universal.WriteToErrorFile(System.String ErrorFile, System.String ErrorName, System.String ErrorText) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\Engine_Universal.cs:line 1065
   at Arcen.Universal.Engine_Universal.LogWritten(System.String LogString, System.String StackTrace, LogType Type, System.Exception Cause, Boolean CameFromUnity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\Engine_Universal.cs:line 663
   at Arcen.Universal.Engine_Universal.LogWrittenFromUnity(System.String LogString, System.String StackTrace, LogType Type) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\Engine_Universal.cs:line 613
   at UnityEngine.Application.CallLogCallback(System.String logString, System.String stackTrace, LogType type, Boolean invokedOnMainThread)
FullScreen.png (692,316 bytes)
ErrorAfter (3,406 bytes)
10/7/2017 4:00:30 PM
ErrorsReportedByEngine:    -----------
ArgumentException: RenderTextureDesc width must be greater than zero.
Parameter name: desc.width
Stack Trace: UnityEngine.RenderTexture.ValidateRenderTextureDesc (RenderTextureDescriptor desc)
UnityEngine.RenderTexture.GetTemporary (RenderTextureDescriptor desc)
UnityEngine.RenderTexture.GetTemporary (Int32 width, Int32 height, Int32 depthBuffer, RenderTextureFormat format, RenderTextureReadWrite readWrite, Int32 antiAliasing, RenderTextureMemoryless memorylessMode, VRTextureUsage vrUsage)
UnityEngine.RenderTexture.GetTemporary (Int32 width, Int32 height, Int32 depthBuffer, RenderTextureFormat format, RenderTextureReadWrite readWrite)
UnityEngine.PostProcessing.RenderTextureFactory.Get (Int32 width, Int32 height, Int32 depthBuffer, RenderTextureFormat format, RenderTextureReadWrite rw, FilterMode filterMode, TextureWrapMode wrapMode, System.String name) (at C:/vcprojs/arcengames_aiw_ultra/AIW2Unity/Assets/PostProcessing/Runtime/Utils/RenderTextureFactory.cs:30)
UnityEngine.PostProcessing.BloomComponent.Prepare (UnityEngine.RenderTexture source, UnityEngine.Material uberMaterial, UnityEngine.Texture autoExposure) (at C:/vcprojs/arcengames_aiw_ultra/AIW2Unity/Assets/PostProcessing/Runtime/Components/BloomComponent.cs:78)
UnityEngine.PostProcessing.PostProcessingBehaviour.OnRenderImage (UnityEngine.RenderTexture source, UnityEngine.RenderTexture destination) (at C:/vcprojs/arcengames_aiw_ultra/AIW2Unity/Assets/PostProcessing/Runtime/PostProcessingBehaviour.cs:239)



   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 140
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 109
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 88
   at Arcen.Universal.Engine_Universal.WriteToErrorFile(System.String ErrorFile, System.String ErrorName, System.String ErrorText, Boolean SuppressArcenDebugLog) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\Engine_Universal.cs:line 1099
   at Arcen.Universal.Engine_Universal.WriteToErrorFile(System.String ErrorFile, System.String ErrorName, System.String ErrorText) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\Engine_Universal.cs:line 1065
   at Arcen.Universal.Engine_Universal.LogWritten(System.String LogString, System.String StackTrace, LogType Type, System.Exception Cause, Boolean CameFromUnity) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\Engine_Universal.cs:line 663
   at Arcen.Universal.Engine_Universal.LogWrittenFromUnity(System.String LogString, System.String StackTrace, LogType Type) in C:\vcprojs\arcengames_aiw_ultra\ArcenUniversal\src\Engine_Universal.cs:line 613
   at UnityEngine.Application.CallLogCallback(System.String logString, System.String stackTrace, LogType type, Boolean invokedOnMainThread)

ErrorAfter (3,406 bytes)

BadgerBadger

Oct 7, 2017 6:10 pm

manager   ~0046505

Yeah, linux has issues starting a game in full screen. My workaround for this has been to just set the screen size to the resolution of my monitor ;-).

keith.lamothe

Nov 11, 2017 1:03 pm

administrator   ~0046599

For 0.604:

* The game now aggressively assassinates the "Screenmanager Is Fullscreen mode" key in the unity-generated player "prefs" file, since if it's set to true it makes it impossible to click buttons on some platforms, and the game's own settings file is where we actually store the info on whether to open in fullscreen mode (in a way that doesn't kill button-clicking).

Thanks :)

Issue History

Date Modified Username Field Change
Oct 7, 2017 5:15 pm RabidSanity New Issue
Oct 7, 2017 5:15 pm RabidSanity File Added: ErrorStartingInFullScreen
Oct 7, 2017 5:15 pm RabidSanity File Added: ErrorAfter
Oct 7, 2017 5:15 pm RabidSanity File Added: FullScreen.png
Oct 7, 2017 6:10 pm BadgerBadger Note Added: 0046505
Nov 11, 2017 1:03 pm keith.lamothe Assigned To => keith.lamothe
Nov 11, 2017 1:03 pm keith.lamothe Status new => resolved
Nov 11, 2017 1:03 pm keith.lamothe Resolution open => fixed
Nov 11, 2017 1:03 pm keith.lamothe Fixed in Version => 0.604
Nov 11, 2017 1:03 pm keith.lamothe Note Added: 0046599